NetworkLinkControl (KML Framework API)
Keywords: org.boehn.kmlframework.todo.servlet.NetworkLinkControl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.todo.servlet
Class NetworkLinkControl

    java.lang.Object
      org.boehn.kmlframework.todo.servlet.NetworkLinkControl

    public class NetworkLinkControl

extends java.lang.Object

Constructor Summary
`NetworkLinkControl()`
`NetworkLinkControl(java.lang.String message, java.lang.String cookie, java.lang.String linkName, java.lang.String linkDescription, java.lang.Integer minRefreshPeriod)`

Method Summary
`void` | `addKml(org.w3c.dom.Element parentElement, Kml model, org.w3c.dom.Document xmlDocument)`
`java.lang.String` | `getCookie()`
`java.lang.String` | `getLinkDescription()`
`java.lang.String` | `getLinkName()`
`java.lang.String` | `getMessage()`
`java.lang.Integer` | `getMinRefreshPeriod()`
`void` | `setCookie(java.lang.String cookie)`
`void` | `setLinkDescription(java.lang.String linkDescription)`
`void` | `setLinkName(java.lang.String linkName)`
`void` | `setMessage(java.lang.String message)`
`void` | `setMinRefreshPeriod(java.lang.Integer minRefreshPeriod)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetworkLinkControl

    public NetworkLinkControl()

### NetworkLinkControl

    public NetworkLinkControl(java.lang.String message,
                              java.lang.String cookie,
                              java.lang.String linkName,
                              java.lang.String linkDescription,
                              java.lang.Integer minRefreshPeriod)

Method Detail

### getCookie

    public java.lang.String getCookie()

### setCookie

    public void setCookie(java.lang.String cookie)

### getLinkDescription

    public java.lang.String getLinkDescription()

### setLinkDescription

    public void setLinkDescription(java.lang.String linkDescription)

### getLinkName

    public java.lang.String getLinkName()

### setLinkName

    public void setLinkName(java.lang.String linkName)

### getMessage

    public java.lang.String getMessage()

### setMessage

    public void setMessage(java.lang.String message)

### getMinRefreshPeriod

    public java.lang.Integer getMinRefreshPeriod()

### setMinRefreshPeriod

    public void setMinRefreshPeriod(java.lang.Integer minRefreshPeriod)

### addKml

    public void addKml(org.w3c.dom.Element parentElement,
                       Kml model,
                       org.w3c.dom.Document xmlDocument)
                throws KmlException

  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD